ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceReportsService

-     public interface VoiceReportsService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getParameter(java.lang.String key)`
    `java.lang.String` | `getParameters(java.lang.String reportType)`
    `java.lang.String` | `getReportCSV(java.lang.String reportType, java.time.LocalDate period)`
    `java.lang.String` | `getReportRecords(java.lang.String reportType, java.time.LocalDate period)`
    `void` | `updateParameter(java.lang.String key, java.lang.String value)`

- - ### Method Detail

    - #### getParameter

          java.lang.String getParameter(java.lang.String key)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getParameters

          java.lang.String getParameters(java.lang.String reportType)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateParameter

          void updateParameter(java.lang.String key,
                               java.lang.String value)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getReportRecords

          java.lang.String getReportRecords(java.lang.String reportType,
                                            java.time.LocalDate period)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getReportCSV

          java.lang.String getReportCSV(java.lang.String reportType,
                                        java.time.LocalDate period)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`